CommetCommet
GitHubDiscordStatus
Cancel a payment link POSTCharge a customer POSTCreate a payment link POSTGet payment GETList payments GET
DocumentaciónRecursosConstruir con AIAPI ReferenceWebhooks

List payments

List payments with cursor-based pagination. Filter by customer.

GET
/payments

List payments with cursor-based pagination. Filter by customer.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

cursor?string
Length1 <= length
limit?integer
Range1 <= value <= 100
customerId?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/payments"
{  "object": "list",  "data": [    {      "id": "pay_1a2b3c4d",      "customerId": "cus_1a2b3c4d",      "kind": "link",      "status": "pending",      "provider": "commet",      "amountSubtotal": 2000,      "taxAmount": 0,      "amountTotal": 2000,      "currency": "usd",      "description": "Onboarding session",      "metadata": {},      "url": "https://commet.co/checkout/example_payment_token",      "expiresAt": "2026-09-07T13:00:00.000Z",      "createdAt": "2026-09-07T12:00:00.000Z",      "updatedAt": "2026-09-07T12:00:00.000Z",      "object": "payment",      "livemode": false,      "paymentContext": {        "reason": "one_time_payment",        "paymentLinkId": "pay_1a2b3c4d",        "recovery": null      }    }  ],  "hasMore": false}
{  "error": {    "type": "validation_error",    "code": "validation_error",    "message": "The request contains an invalid parameter.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/validation_error.md"  }}
{  "error": {    "type": "authentication_error",    "code": "unauthorized",    "message": "A valid API key is required.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/unauthorized.md"  }}
{  "error": {    "type": "authentication_error",    "code": "forbidden",    "message": "You do not have permission to perform this operation.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/forbidden.md"  }}
{  "error": {    "type": "rate_limit_error",    "code": "rate_limited",    "message": "Too many requests. Retry after the interval specified in the Retry-After header.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/rate_limited.md"  }}
{  "error": {    "type": "internal_error",    "code": "internal_error",    "message": "An unexpected error occurred while processing the request.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/internal_error.md"  }}

Get payment GET

Retrieve a payment by its public ID.

Add a payout bank account POST

Add an additional destination bank account to the organization's existing payout account. Country and currency are resolved from the organization. The full account number is never returned — only `last4`.